Package ghidra.pty.windows.jna

# Class ConsoleApiNative.SECURITY_ATTRIBUTES

java.lang.Object
com.sun.jna.Structure
ghidra.pty.windows.jna.ConsoleApiNative.SECURITY_ATTRIBUTES

Direct Known Subclasses:
  `ConsoleApiNative.SECURITY_ATTRIBUTES.ByReference`

Enclosing interface:
  `ConsoleApiNative`

public static class ConsoleApiNative.SECURITY_ATTRIBUTES extends com.sun.jna.Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ConsoleApiNative.SECURITY_ATTRIBUTES.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `com.sun.jna.platform.win32.WinDef.BOOL`
  `bInheritedHandle`
  `static final List<String>`
  `FIELDS`
  `com.sun.jna.platform.win32.WinDef.ULONGLONG`
  `lpSecurityDescriptor`
  `com.sun.jna.platform.win32.WinDef.DWORD`
  `nLength`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SECURITY_ATTRIBUTES()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<String>`
  `getFieldOrder()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FIELDS

    public static final List<String> FIELDS

  - ### nLength

    public com.sun.jna.platform.win32.WinDef.DWORD nLength

  - ### lpSecurityDescriptor

    public com.sun.jna.platform.win32.WinDef.ULONGLONG lpSecurityDescriptor

  - ### bInheritedHandle

    public com.sun.jna.platform.win32.WinDef.BOOL bInheritedHandle

- ## Constructor Details

  - ### SECURITY_ATTRIBUTES

    public SECURITY_ATTRIBUTES()

- ## Method Details

  - ### getFieldOrder

    protected List<String> getFieldOrder()
    Overrides:
      `getFieldOrder` in class `com.sun.jna.Structure`